Bug 1564973 - [abrt] iwl_mvm_async_handlers_wk: WARNING: CPU: 2 PID: 18815 at drivers/net/wireless/intel/iwlwifi/mvm/scan.c:1579 iwl_mvm_rx_umac_scan_complete_notif+0x1fb/0x210 [iwlmvm] [iwlmvm]
Summary: [abrt] iwl_mvm_async_handlers_wk: WARNING: CPU: 2 PID: 18815 at drivers/net/w...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c3ec852e69e0e0e07677de4b99c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 04:40 UTC by Joe Doss
Modified: 2020-05-21 04:16 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:09:22 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (243.74 KB, text/plain)
2018-04-09 04:40 UTC, Joe Doss
no flags Details

Description Joe Doss 2018-04-09 04:40:12 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 2 PID: 18815 at drivers/net/wireless/intel/iwlwifi/mvm/scan.c:1579 iwl_mvm_rx_umac_scan_complete_notif+0x1fb/0x210 [iwlmvm]
Modules linked in: snd_usb_audio snd_usbmidi_lib snd_rawmidi pl2303 thunderbolt nvmem_core rfcomm fuse ccm xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ip_set nfnetlink ebtable_nat xt_conntrack ebtable_broute br_netfilter bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c overlay iptable_mangle iptable_raw iptable_security cmac ebtable_filter ebtables ip6table_filter ip6_tables bnep vfat fat snd_hda_codec_hdmi btusb btrtl btbcm btintel bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core
 videodev ecdh_generic media arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlmvm kvm snd_soc_skl mac80211 snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi snd_soc_core snd_hda_codec_realtek irqbypass snd_hda_codec_generic snd_compress intel_cstate snd_pcm_dmaengine intel_uncore ac97_bus iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq intel_rapl_perf iwlwifi snd_seq_device snd_pcm joydev intel_wmi_thunderbolt cfg80211 wmi_bmof snd_timer i2c_i801 mei_me mei idma64 ucsi_acpi typec_ucsi intel_lpss_pci intel_lpss thinkpad_acpi shpchp intel_pch_thermal typec snd tpm_crb soundcore rfkill pinctrl_sunrisepoint tpm_tis tpm_tis_core pinctrl_intel acpi_pad tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc
 dm_crypt hid_multitouch uas usb_storage nouveau i915 mxm_wmi ttm crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper e1000e drm nvme ghash_clmulni_intel nvme_core serio_raw ptp pps_core wmi video
CPU: 2 PID: 18815 Comm: kworker/2:0 Not tainted 4.15.13-300.fc27.x86_64 #1
Hardware name: LENOVO 20K70004US/20K70004US, BIOS N1QET67W (1.42 ) 10/03/2017
Workqueue: events iwl_mvm_async_handlers_wk [iwlmvm]
RIP: 0010:iwl_mvm_rx_umac_scan_complete_notif+0x1fb/0x210 [iwlmvm]
RSP: 0000:ffff9cfc82e57e08 EFLAGS: 00010246
RAX: 0000000000000200 RBX: ffff88ab434f0000 RCX: 0000000000000001
RDX: ffff88acad741568 RSI: ffff88abdf029650 RDI: ffff88acad741528
RBP: ffff9cfc82e57e50 R08: ffff88acc25214a0 R09: 0000000000000000
R10: ffff9cfc82e57e48 R11: 000000000000029f R12: ffff88acad741528
R13: ffff88abdf029640 R14: dead000000000100 R15: ffff88abdf029640
FS:  0000000000000000(0000) GS:ffff88acc2500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f032c55c000 CR3: 00000003fa20a006 CR4: 00000000003606e0
Call Trace:
 iwl_mvm_async_handlers_wk+0xba/0x160 [iwlmvm]
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit+0x13/0x20
 ret_from_fork+0x35/0x40
Code: 89 4c 24 04 e8 47 6f c4 ff c7 85 b4 18 00 00 00 00 00 00 8b 8d 98 18 00 00 41 8b 84 24 14 19 00 00 44 8b 4c 24 04 e9 77 fe ff ff <0f> 0b e9 26 ff ff ff e8 c9 f7 1a cd 66 0f 1f 84 00 00 00 00 00

Comment 1 Joe Doss 2018-04-09 04:40:26 UTC
Created attachment 1419114 [details]
File: dmesg

Comment 2 Dustin Schoenbrun 2018-04-24 14:41:38 UTC
Description of problem:
This error occurred during standard work on my Lenovo Thinkpad T470s. The offending PID appears to be a kworker process as shown by the command output below. 

% ps aux | grep 5953                                                                                                                             
root      5953  0.0  0.0      0     0 ?        I    10:21   0:00 [kworker/0:1]

It appears to have been something to do with the wireless driver for the Intel Wireless chip in my laptop, but I don't know what could have caused this error. 

Version-Release number of selected component:
kernel-core-4.15.16-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.15.16-300.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-fe787ff3-0692-4c38-adab-276804d25fbe rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: iwl_mvm_async_handlers_wk
kernel:         4.15.16-300.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 5953 at drivers/net/wireless/intel/iwlwifi/mvm/scan.c:1579 iwl_mvm_rx_umac_scan_complete_notif+0x1fb/0x210 [iwlmvm]
Modules linked in: thunderbolt nvmem_core rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle cmac iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 snd_soc_skl snd_soc_skl_ipc intel_rapl iTCO_wdt iTCO_vendor_support mei_wdt snd_hda_ext_core snd_hda_codec_hdmi snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi iwlmvm snd_soc_core x86_pkg_temp_thermal intel_powerclamp coretemp wmi_bmof intel_wmi_thunderbolt kvm_intel mac80211
 snd_hda_codec_realtek kvm snd_hda_codec_generic snd_compress snd_pcm_dmaengine ac97_bus snd_hda_intel iwlwifi irqbypass snd_hda_codec intel_cstate intel_uncore uvcvideo snd_hda_core intel_rapl_perf snd_hwdep videobuf2_vmalloc snd_seq snd_seq_device videobuf2_memops videobuf2_v4l2 snd_pcm btusb btrtl videobuf2_core btbcm btintel joydev cfg80211 snd_timer i2c_i801 bluetooth videodev mei_me media mei intel_pch_thermal ecdh_generic shpchp thinkpad_acpi ucsi_acpi typec_ucsi typec wmi tpm_crb snd soundcore rfkill tpm_tis tpm_tis_core tpm acpi_pad dm_crypt hid_logitech_hidpp hid_logitech_dj uas usb_storage i915 crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper e1000e nvme drm ptp ghash_clmulni_intel nvme_core serio_raw pps_core video
CPU: 0 PID: 5953 Comm: kworker/0:1 Not tainted 4.15.16-300.fc27.x86_64 #1
Hardware name: LENOVO 20HGS22D00/20HGS22D00, BIOS N1WET41W (1.20 ) 10/17/2017
Workqueue: events iwl_mvm_async_handlers_wk [iwlmvm]
RIP: 0010:iwl_mvm_rx_umac_scan_complete_notif+0x1fb/0x210 [iwlmvm]
RSP: 0018:ffffa50d0ae27e08 EFLAGS: 00010246
RAX: 0000000000000200 RBX: ffff8c2423e491c0 RCX: 0000000000000001
RDX: ffff8c2647cad568 RSI: ffff8c245c001390 RDI: ffff8c2647cad528
RBP: ffffa50d0ae27e50 R08: ffff8c265e4214a0 R09: 0000000000000000
R10: ffffa50d0ae27e48 R11: 00000000000008f7 R12: ffff8c2647cad528
R13: ffff8c245c001380 R14: dead000000000100 R15: ffff8c245c001380
FS:  0000000000000000(0000) GS:ffff8c265e400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f646ee79000 CR3: 000000034420a006 CR4: 00000000003606f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 iwl_mvm_async_handlers_wk+0xba/0x160 [iwlmvm]
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit+0x13/0x20
 ret_from_fork+0x35/0x40
Code: 89 4c 24 04 e8 57 4f e6 ff c7 85 b4 18 00 00 00 00 00 00 8b 8d 98 18 00 00 41 8b 84 24 14 19 00 00 44 8b 4c 24 04 e9 77 fe ff ff <0f> 0b e9 26 ff ff ff e8 49 d9 4a eb 66 0f 1f 84 00 00 00 00 00

Comment 3 Justin M. Forbes 2018-07-23 15:20:04 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 4 Laura Abbott 2018-10-01 21:25:13 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.18.10-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 28 or Fedora 29, and are still experiencing this issue, please change the version to Fedora 28 or 29.
 
If you experience different issues, please open a new bug report for those.

Comment 5 Petr Menšík 2018-10-15 14:43:51 UTC
Description of problem:
The crash seems to be related to docking of my Lenovo Thinkpad 460S.

I have issues with screen after the laptop had closed the lid and slept some time. On a redock after few days, it does not work with gnome-shell correctly.
It does recovert after some time when I undock. But once it hangs, displays can be fixed only by reboot. Not sure how it is related to iwlwifi crash. It seems input hangs some seconds after undock.

lspci:
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation Skylake GT2 [HD Graphics 520] (rev 07)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th Gen Core Processor Gaussian Mixture Model
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:16.3 Serial controller: Intel Corporation Device 9d3d (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #1 (rev f1)
00:1c.2 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #3 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection I219-LM (rev 21)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS522A PCI Express Card Reader (rev 01)
04:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)

Version-Release number of selected component:
kernel-core-4.18.10-100.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.10-100.fc27.x86_64 root=/dev/mapper/fedora_unused--4--115-root ro rd.lvm.lv=fedora_unused-4-115/root rd.luks.uuid=luks-423caeb9-39c4-4acb-ab32-3d3fda9bfda5 rd.lvm.lv=fedora_unused-4-115/swap rhgb quiet LANG=cs_CZ.UTF-8 rd.luks.options=discard
crash_function: iwl_mvm_async_handlers_wk
kernel:         4.18.10-100.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 11557 at drivers/net/wireless/intel/iwlwifi/mvm/scan.c:1786 iwl_mvm_rx_umac_scan_complete_notif+0x203/0x210 [iwlmvm]
Modules linked in: usblp vfat fat uas usb_storage vhost_net vhost tap netlink_diag veth nfnetlink_queue nfnetlink_log nfnetlink fuse ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat ip6t_REJECT nf_reject_ipv6 tun ebtable_filter ebtables ip6table_filter ip6_tables bridge stp llc bnep binfmt_misc nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack libcrc32c sunrpc intel_rapl arc4 x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_codec_hdmi snd_soc_skl iwlmvm irqbypass intel_cstate snd_soc_skl_ipc intel_uncore snd_soc_sst_ipc mac80211 snd_soc_sst_dsp uvcvideo snd_hda_ext_core snd_soc_acpi videobuf2_vmalloc videobuf2_memops snd_soc_core videobuf2_v4l2 intel_rapl_perf mei_wdt iTCO_wdt iTCO_vendor_support videobuf2_common wmi_bmof iwlwifi
 videodev snd_hda_codec_realtek snd_hda_codec_generic snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel media snd_hda_codec cfg80211 btusb snd_hda_core btrtl snd_hwdep btbcm snd_seq btintel snd_seq_device snd_pcm bluetooth thinkpad_acpi joydev snd_timer rtsx_pci_ms mei_me memstick snd ecdh_generic mei i2c_i801 soundcore intel_pch_thermal rfkill wmi pcc_cpufreq dm_crypt i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel e1000e i2c_algo_bit drm_kms_helper ghash_clmulni_intel serio_raw drm rtsx_pci video
CPU: 0 PID: 11557 Comm: kworker/0:0 Not tainted 4.18.10-100.fc27.x86_64 #1
Hardware name: LENOVO 20FAS2BN0C/20FAS2BN0C, BIOS N1CET40W (1.08 ) 03/09/2016
Workqueue: events iwl_mvm_async_handlers_wk [iwlmvm]
RIP: 0010:iwl_mvm_rx_umac_scan_complete_notif+0x203/0x210 [iwlmvm]
Code: 4c 24 04 e8 3f 7c e9 ff c7 85 20 19 00 00 00 00 00 00 8b 8d 00 19 00 00 41 8b 84 24 84 19 00 00 44 8b 4c 24 04 e9 6f fe ff ff <0f> 0b e9 1e ff ff ff e8 41 90 5f d7 90 0f 1f 44 00 00 53 48 8b 06 
RSP: 0018:ffffad164c02fe08 EFLAGS: 00010246
RAX: 0000000000000200 RBX: ffff99878604f000 RCX: 0000000000000001
RDX: ffff99880536d568 RSI: ffff9983a747c4d0 RDI: ffff99880536d528
RBP: ffffad164c02fe50 R08: ffff9988214218a0 R09: 0000000000000000
R10: ffffad164c02fe48 R11: 000000000000027e R12: ffff99880536d528
R13: ffff9983a747c4c0 R14: dead000000000100 R15: ffff9983a747c4c0
FS:  0000000000000000(0000) GS:ffff998821400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f2d4adbc000 CR3: 000000047020a001 CR4: 00000000003626f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 iwl_mvm_async_handlers_wk+0xba/0x160 [iwlmvm]
 process_one_work+0x18f/0x370
 worker_thread+0x30/0x380
 ? process_one_work+0x370/0x370
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 6 Ben Cotton 2018-11-27 14:01:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 17:29:19 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Andy Grover 2019-02-21 05:59:48 UTC
still happening with 4.20.8-200.fc29.x86_64.

Comment 9 Laura Abbott 2019-04-09 20:46:08 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora XX has now been rebased to 5.0.6  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.
 
If you experience different issues, please open a new bug report for those.

Comment 10 Yann Droneaud 2019-05-29 07:54:32 UTC
This is happening on F30 too, see bug #1697317

Comment 11 Justin M. Forbes 2019-08-20 17:43:43 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 12 Justin M. Forbes 2019-09-17 20:09:22 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.